You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

40 lines
1.4 KiB

From cf3098064c490486e867c389509a11908661fe9a Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Mon, 1 Dec 2014 12:34:54 +0100
Subject: [PATCH] dracut.sh: add $tmpfilesdir to install files to
/usr/lib/tmpfiles.d
(cherry picked from commit 3a04bddeed15c810865aa49a2575bf13e651272d)
---
dracut.sh | 11 ++++++++++-
1 file changed, 10 insertions(+), 1 deletion(-)
diff --git a/dracut.sh b/dracut.sh
index 27c2bf45..6e56af50 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -1152,6 +1152,14 @@ fi
[[ -d "$systemdsystemconfdir" ]] || systemdsystemconfdir=/etc/systemd/system
+[[ -d $tmpfilesdir ]] \
+ || tmpfilesdir=$(pkg-config systemd --variable=tmpfilesdir 2>/dev/null)
+
+if ! [[ -d "$tmpfilesdir" ]]; then
+ [[ -f /lib/tmpfiles.d ]] && tmpfilesdir=/lib/tmpfiles.d
+ [[ -f /usr/lib/tmpfiles.d ]] && tmpfilesdir=/usr/lib/tmpfiles.d
+fi
+
export initdir dracutbasedir \
dracutmodules force_add_dracutmodules add_dracutmodules omit_dracutmodules \
mods_to_load \
@@ -1162,7 +1170,8 @@ export initdir dracutbasedir \
debug host_fs_types host_devs sshkey add_fstab \
DRACUT_VERSION udevdir prefix filesystems drivers \
systemdutildir systemdsystemunitdir systemdsystemconfdir \
- host_modalias host_modules hostonly_cmdline
+ host_modalias host_modules hostonly_cmdline loginstall \
+ tmpfilesdir
mods_to_load=""
# check all our modules to see if they should be sourced.